Query Parameters
Filter by HTTP status code (e.g.
200, 400, 422, 500).Filter by HTTP method:
GET, POST, PUT, DELETE.Page number.
Results per page.
curl -X GET 'https://api.yativo.com/api/v1/business/logs/all?method=POST&status=400&per_page=20' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN'
{
"status": "success",
"status_code": 200,
"message": "Request successful",
"data": [
{
"id": "log_01HX9KZMB3F7VNQP8R2WDGT4E5",
"method": "POST",
"endpoint": "/business/virtual-account/create",
"status_code": 201,
"ip_address": "203.0.113.42",
"created_at": "2026-04-01T10:00:00.000000Z"
},
{
"id": "log_01HX9KZMB3F7VNQP8R2WDGT4E6",
"method": "POST",
"endpoint": "/sendmoney/quote",
"status_code": 400,
"ip_address": "203.0.113.42",
"created_at": "2026-04-01T09:55:00.000000Z"
}
],
"meta": {
"total": 142,
"per_page": 20,
"current_page": 1,
"last_page": 8
}
}
Retrieve a log of all API requests made against your account
GET /business/logs/all
200, 400, 422, 500).GET, POST, PUT, DELETE.curl -X GET 'https://api.yativo.com/api/v1/business/logs/all?method=POST&status=400&per_page=20' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN'
{
"status": "success",
"status_code": 200,
"message": "Request successful",
"data": [
{
"id": "log_01HX9KZMB3F7VNQP8R2WDGT4E5",
"method": "POST",
"endpoint": "/business/virtual-account/create",
"status_code": 201,
"ip_address": "203.0.113.42",
"created_at": "2026-04-01T10:00:00.000000Z"
},
{
"id": "log_01HX9KZMB3F7VNQP8R2WDGT4E6",
"method": "POST",
"endpoint": "/sendmoney/quote",
"status_code": 400,
"ip_address": "203.0.113.42",
"created_at": "2026-04-01T09:55:00.000000Z"
}
],
"meta": {
"total": 142,
"per_page": 20,
"current_page": 1,
"last_page": 8
}
}